aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_rebind.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/test_rebind.sh')
-rwxr-xr-xsrc/test/test_rebind.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index 879008c1c1..aae2a9a6a0 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -46,6 +46,9 @@ if "${TOR_BINARY}" --list-modules | grep -q "relay: no"; then
fi
tmpdir=
+# For some reasons, shellcheck is not seeing that we can call this
+# function from the trap below.
+# shellcheck disable=SC2317
clean () {
if [ -n "$tmpdir" ] && [ -d "$tmpdir" ]; then
rm -rf "$tmpdir"